/***************************************************************************
 *   Copyright (C) 2001 AVM GmbH. All rights reserved.                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KCONTROLLERPROFILE_H
#define KCONTROLLERPROFILE_H

#include "ccapiinfo.h"

#include <qwidget.h>


class KControllerProfile : public QWidget
{
    Q_OBJECT
public:
  	KControllerProfile (CCapiController* pController, QWidget* parent = NULL);
  	
protected:
		static const char* STR_GlobalOptions[32];
		static const char* STR_B1Protocols[32];
		static const char* STR_B2Protocols[32];
		static const char* STR_B3Protocols[32];
		static const char* STR_DChannelProtocols[16];
		static const char* STR_Line[8];
		static const char* STR_UNKNOWN;
};

#endif // KCONTROLLERPROFILE_H
