/***************************************************************************
 *   Copyright (C) 2001 AVM GmbH. All rights reserved.                     *
 *   Copyright (C) 1998-2000 Markus Dahlweid                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kimoninfostatus.h"
#include "kimoninfostatus.moc"

#include <stdio.h>
#include <stdlib.h>

#include <qmsgbox.h>

/*--------------------------------------------------------------------------*\
\*--------------------------------------------------------------------------*/
KIsdnInfoLineStatus::KIsdnInfoLineStatus (QWidget* parent)
									 : KLed (KLed::darkGray, KLed::On, KLed::Raised, KLed::Circular, parent)
{
}

KIsdnInfoLineStatus::~KIsdnInfoLineStatus ()
{
}

/*--------------------------------------------------------------------------*\
\*--------------------------------------------------------------------------*/
void KIsdnInfoLineStatus::mousePressEvent (QMouseEvent* e)
{
    setLook (KLed::Sunken);
    KLed::mousePressEvent (e);
}

/*--------------------------------------------------------------------------*\
\*--------------------------------------------------------------------------*/
void KIsdnInfoLineStatus::mouseReleaseEvent (QMouseEvent* e)
{
    setLook (KLed::Raised);
    KLed::mouseReleaseEvent (e);
}
